import React, { useState } from "react";
import "./AppriseOnPage.css";
import { AppriseOnPageProps } from "./AppriseOnPage.types";

const AppriseOnPage: React.FC<AppriseOnPageProps> = ({title = "Let me know when this is back in stock"}) => {
  return <div className="container">
    <div className="title">{title}</div>
    <div className="input-container">
      <label className="screen-reader" htmlFor="email">
        Email
      </label>
        <input id="email" className="input" name="email" type="email" placeholder="Email"/>
      <div className="t-and-c-text">
        By checking the I agree box and submitting email address, you are confirming you have read and understood our {' '}
        <a href="">Privacy Policy</a></div>
      <button className="input-button">Submit</button>
    </div>
    <div>
      <img src="https://apprise-website-diatu6icea-ew.a.run.app/_next/image?url=%2F_next%2Fstatic%2Fmedia%2Fapprise-mark-large.f06dfd2e.png&w=1920&q=75" alt="apprise by deliberate" />
    </div>
  </div>;
};

export default AppriseOnPage;
